# $Id: kdesdk.spec,v 1.24 2004/04/05 17:34:44 rexdieter Exp $

%define kdelibs_ver 6:%{version}
%define monolithic 1
%define is_release 1

%define kcachegrind_ver 0:0.4.4
%define valgrind_ver 0:1.9.6

Summary: The KDE Software Development Kit (SDK)
Name: 	 kdesdk
Group: 	 User Interface/Desktops
Epoch:	 0
Version: 3.2.2
Release: 0.fdr.0%{?dist_tag}
Source:	 ftp://ftp.kde.org/pub/kde/stable/3.2.2/src/kdesdk-3.2.2.tar.bz2
License: GPL
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

Patch0: kde-libtool.patch
Patch1: kdesdk-3.1-libc.patch

## kde-redhat patches
Patch1000: kdesdk-3.1.1-kmtrace-libc.patch
Patch1001: kdesdk-3.1.1-kmtrace-libc-am.patch

Requires: kdelibs >= %{kdelibs_ver}

BuildRequires: kdelibs-devel >= %{kdelibs_ver}
%if "%{is_release}" != "1"
BuildRequires: autoconf >= 2.53
BuildRequires: automake >= 1.6
%endif
BuildRequires: libtool
BuildRequires: gcc-c++
BuildRequires: libstdc++-devel
BuildRequires: db4-devel

Conflicts: kdevelop < 9:3.0.0

%if "%{?monolithic}" == "1"
Obsoletes: cervisia < 2:%{version}-%{release}
Obsoletes: %{name}-kbabel < %{epoch}:%{version}-%{release}
Obsoletes: %{name}-kdesdk-gimp < %{epoch}:%{version}-%{release}
Obsoletes: %{name}-kapptemplate < %{epoch}:%{version}-%{release}
Obsoletes: %{name}-kbabel < %{epoch}:%{version}-%{release}
Obsoletes: %{name}-kbugbuster < %{epoch}:%{version}-%{release}
Obsoletes: %{name}-kmtrace < %{epoch}:%{version}-%{release}
Obsoletes: %{name}-kompare < %{epoch}:%{version}-%{release}
Obsoletes: %{name}-kspy < %{epoch}:%{version}-%{release}
Obsoletes: kcachegrind < %{kcachegrind_ver} 

Provides: cervisia = 2:%{version}-%{release}
Provides: %{name}-kbabel = %{epoch}:%{version}-%{release}
Provides: %{name}-kdesdk-gimp = %{epoch}:%{version}-%{release}
Provides: %{name}-kapptemplate = %{epoch}:%{version}-%{release}
Provides: %{name}-kbabel = %{epoch}:%{version}-%{release}
Provides: %{name}-kbugbuster = %{epoch}:%{version}-%{release}
Provides: %{name}-kmtrace = %{epoch}:%{version}-%{release}
Provides: %{name}-kompare = %{epoch}:%{version}-%{release}
Provides: %{name}-kspy = %{epoch}:%{version}-%{release}
Provides: kcachegrind = %{kcachegrind_ver}
Requires: valgrind >= %{valgrind_ver}
%endif

%description
A collection of applications and tools used by KDE developers.
Among other things, kdesdk provides tools for working on the KDE CVS
repository.

%package devel
Summary: Development files for kdesdk
Group: Development/Libraries
Requires: %{name} = %{epoch}:%{version}-%{release}
Requires: kdelibs-devel >= %{kdelibs_ver}
%description devel
Development files for kdesdk. Install kdesdk-devel if you wish
to develop or compile KDE sdk applications.

%package -n cervisia
Summary: Graphical CVS client
Group: Development/Tools
License: QPL
%description -n cervisia
Cervisia is a KDE graphical frontend for the the CVS client. It
features checking out a module from a repository, updating or
retrieving the status of a working directory or single files, common
operations like add, remove and commit, diff against the repository
and between different revisions, annotated view of a file, view of the
log messages in tree and list form as well as resolving of conflicts
in a file.

%package -n kcachegrind
Summary: A visualisation tool for the profiling data generated by Cachegrind
Group:   Development/Debuggers
Requires: valgrind >= %{valgrind_ver} 
#Requires: calltree >= 0.2.95
%description -n kcachegrind
KCachegrind is a visualisation tool for the profiling data generated
by Cachegrind. It is strongly advised to add support for call tree
tracing into Cachegrind, because KCachegrind is much more useful this
way.

%package kbabel
Summary: Translator tools
Group: Development/Tools
Obsoletes: kbabel < %{epoch}:%{version}-%{release}
Provides: kbabel = %{epoch}:%{version}-%{release}
Obsoletes: ktranslator < %{epoch}:%{version}-%{release}
%description kbabel
Translator tools.
kbabel includes a .po file editor, a catalog manager, message extraction
tools, and po file thumbnail views for Konqueror (the KDE file manager).

%package kbugbuster
Summary: KBugBuster - debugging tools
Group: Development/Tools
%description kbugbuster
Debugging tools

%package gimp
Summary: KDE palette for GIMP
Requires: gimp >= 1.2
Group: Applications/Multimedia
%description gimp
The standard KDE palette in GIMP format. This allows you to create/edit
low-color KDE icons using the GIMP.

%package kapptemplate
Summary: Tool for creating a skeleton KDE application
Group: Development/Tools
%description kapptemplate
kapptemplate creates a skeleton KDE application (configure stuff, automake
stuff, etc.), allowing you to start writing the relevant code instead of
bothering with things that have already been done.

kapptemplate supports both standalone applications and plugins utilizing
KParts technology.

%package kmtrace
Summary: Malloc debugger for KDE
Group: Development/Tools
%description kmtrace
KMtrace is a malloc (memory allocation) debugger for KDE.

%package kompare
Summary: File comparison tool for KDE
Group: Applications/File
%description kompare
A file comparison tool for KDE

%package kspy
Summary: Qt/KDE application state examination tool
Group: Development/Tools
%description kspy
KSpy is a utility intended to help developers examine the internal
state of a Qt/KDE application. KSpy graphically displays all the
QObjects in use, and allows you to browse their properties. Using KSpy
is very simple, include kspy.h and call KSpy::invoke() when you want
to looks inside your app. The KSpy function is inline and the main
part of KSpy is dynamically loaded, so you may even want to leave this
in the release build of an application.


%prep

%if "%{is_release}" != "0"
%setup -q -n %{name}-%{version}%{?beta}
%else
%setup -q -n %{name}
%endif

#patch0 -p1 -b .libtool
# Replaced below by kmtrace patch(es)
#patch1 -p1 -b .libc

%patch1000 -p1 -b .kmtrace1
# skip to avoid re-automakeing things
#patch1001 -p1 -b .kmtrace2

#rm -f kbugbuster/configure.in.in

%if "%{is_release}" != "1"
  make -f admin/Makefile.common cvs
%endif


%build
unset QTDIR || : ; . /etc/profile.d/qt.sh

FLAGS="$RPM_OPT_FLAGS -D_GNU_SOURCE"
export CFLAGS="$FLAGS"
export CXXFLAGS="$FLAGS"

%configure \
  --program-prefix="%{?_program_prefix}" \
  --includedir=%{_includedir}/kde \
  --disable-rpath \
  %{?debug:  --enable-debug --enable-warnings } \
  %{!?debug: --disable-dependency-tracking --disable-debug --disable-warnings --enable-final }

make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT

make install%{!?debug_package:-strip} DESTDIR=$RPM_BUILD_ROOT

# Make symlinks relative
pushd $RPM_BUILD_ROOT%{_docdir}/HTML/en
for i in *; do
   [ -d $i -a -L $i/common ] && rm -f $i/common && ln -sf ../common $i/common
done
popd

# Install stuff that doesn't get installed by make install
mkdir -p $RPM_BUILD_ROOT%{_datadir}/gimp/1.2/palettes
install -c -m 644 kdepalettes/KDE_Gimp $RPM_BUILD_ROOT%{_datadir}/gimp/1.2/palettes

# Remove dupes from kdevelop
# rm -f $RPM_BUILD_ROOT%{_bindir}/extractrc

# workaround, rpm cannot replace a directory with a symlink
rm -f $RPM_BUILD_ROOT%{_docdir}/HTML/en/cervisia/common
mkdir $RPM_BUILD_ROOT%{_docdir}/HTML/en/cervisia/common
pushd $RPM_BUILD_ROOT%{_docdir}/HTML/en/cervisia/common
for i in %{_docdir}/HTML/en/common/* ; do
   ln -s ../../common/$(basename $i) .
done
popd


%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig


%files
%defattr(-,root,root)
%lang(en) %doc %{_docdir}/HTML/en/*
%{_bindir}/*
%{_libdir}/kde3/*
%{_libdir}/*.so*
%{_libdir}/*.la
%{_datadir}/apps/*
%{_datadir}/mimelnk/application/*
%{_datadir}/services/*
%{_datadir}/servicetypes/*
%{_datadir}/icons/*/*/*/*
%{_datadir}/gimp/1.2/palettes/KDE_Gimp
%{_datadir}/applications/kde/*

%files devel
%defattr(-,root,root)
%{_includedir}/kde/*
%{_libdir}/*.a
%{_mandir}/man1/*


%clean   
rm -rf $RPM_BUILD_ROOT


%changelog
* Mon Apr 05 2004 Rex Dieter <rexdieter at sf.net> 0:3.2.2-0.fdr.0
- 3.2.2

* Mon Mar 01 2004 Rex Dieter <rexdieter at sf.net> 0:3.2.1-0.fdr.0
- 3.2.1

* Wed Feb 18 2004 Rex Dieter <rexdieter at sf.net> 0:3.2.0-0.fdr.2
- Conflicts: kdevelop < 9:3.0.0

* Wed Feb 11 2004 Rex Dieter <rexdieter at sf.net> 0:3.2.0-0.fdr.1
- BuildRequires: db4-devel

* Tue Jan 27 2004 Rex Dieter <rexdieter at sf.net> 0:3.2.0-0.fdr.0
- 3.2.0

* Mon Jan 19 2004 Rex Dieter <rexdieter at sf.net> 0:3.1.95-0.fdr.0
- 3.1.95
- Obsoletes/Provides: kcachegrind (0.4.4)

* Sun Dec 14 2003 Rex Dieter <rexdieter at sf.net> 0:3.1.94-0.fdr.0
- 3.1.94

* Fri Dec 05 2003 Rex Dieter <rexdieter at sf.net> 0:3.1.4-0.fdr.1
- (re)build on/for qt-3.2.x

* Sat Sep 13 2003 Rex Dieter <rexdieter at sf.net> 0:3.1.4-0.fdr.0
- 3.1.4

* Tue Jul 11 2003 Rex Dieter <rexdieter at sf.net> 0:3.1.3-0.fdr.0
- 3.1.3
- %%lang'ify %%docs

* Thu May 15 2003 Rex Dieter <rexdieter at sf.net> 0:3.1.2-0.fdr.0
- 3.1.2
- fedora-style versioning.
- add cvs tags to specfile.

* Tue Apr 15 2003 Rex Dieter <rexdieter at sf.net> 3.1.1-1.0
- rebuild for release.

* Mon Mar 31 2003 Rex Dieter <rexdieter at sf.net> 3.1.1-0.3
- fix/re-enable kmtrace on rh8/glibc-2.3.2.
- kbabel translation dictionary Requires: db2-devel (rh73 only,
  rh80 doesn't seem to have it).

* Fri Mar 28 2003 Rex Dieter <rexdieter at sf.net> 3.1.1-0.2
- don't use epoch in %%my_ver because of cervisia's screwy 
  use of it to avoid polluting the while package with epochs. 

* Tue Mar 25 2003 Rex Dieter <rexdieter at sf.net> 3.1.1-0.1
- 3.1.1 release
- fix conflict with kdesdk.

* Mon Mar 03 2003 Rex Dieter <rexdieter at sf.net> 3.1-1.2
- Conflicts: cervisia < 3.1 (kde-redhat bug #690691)

* Thu Feb 20 2003 Rex Dieter <rexdieter at sf.net> 3.1-1.1
- use epochs in Obsoletes/Provides/Requires.

* Tue Feb 18 2003 Rex Dieter <rexdieter at sf.net> 3.1-1.0
- kde-redhat versioning.

* Tue Jan 28 2003 Than Ngo <than@redhat.com> 3.1-1
- 3.1 release

* Thu Jan 23 2003 Tim Powers <timp@redhat.com> 3.1-0.7
- rebuild

* Wed Jan 15 2003 Thomas Woerner <twoerner@redhat.com> 3.1-0.6
- fix for ktrace (libc)

* Tue Jan 14 2003 Thomas Woerner <twoerner@redhat.com> 3.1-0.5
- rc6
- removed size_t check

* Sat Dec 21 2002 Than Ngo <than@redhat.com> 3.1-0.4
- add Icons

* Fri Dec 13 2002 Than Ngo <than@redhat.com> 3.1-0.3
- fix package conflicts

* Sat Nov 30 2002 Than Ngo <than@redhat.com> 3.1-0.2
- desktop issues
- get rid of sub packages
- add new kdesdk-devel

* Fri Nov 29 2002 Than Ngo <than@redhat.com> 3.1-0.1
- update to 3.1 rc4

* Tue Nov 19 2002 Than Ngo <than@redhat.com> 3.0.5-1.1
- fix group issue (bug #78119)
- remove Obsoletes kdesdk (bug #78138, #78139, #78140, #78141, #78142, #78143)

* Sun Nov 10 2002 Than Ngo <than@redhat.com> 3.0.5-1
- update to 3.0.5
- add missing scripts, manpages and icons
- remove a unneeded patch file

* Tue Oct 15 2002 Than Ngo <than@redhat.com> 3.0.4-1
- 3.0.4
- Added missing documentations (bug #74550)

* Mon Aug 19 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.3-1
- 3.0.3

* Tue Apr 16 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.0-5
- Rename libraries

* Tue Apr  2 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.0-4
- Fix bug #62259

* Sun Mar 31 2002 Than Ngo <than@redhat.com> 3.0.0-3
- fix bug #62388

* Wed Mar 27 2002 Than Ngo <than@redhat.com> 3.0.0-2
- final

* Tue Mar 26 2002 Than Ngo <than@redhat.com> 3.0.0-0.cvs20020326.1
- update

* Sun Mar 24 2002 Than Ngo <than@redhat.com> 3.0.0-0.cvs20020324.1
- update
- fix bug #61671, #61670, #61656
- add more buildrequires

* Wed Jan 09 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Wed Jan  2 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.0-0.cvs20020102.1
- Update
- Split in subpackages

* Mon Aug  6 2001 Than Ngo <than@redhat.com> 2.2-1
- update to 2.2 release

* Sat Aug  04 2001 Than Ngo <than@redhat.com> 2.2-0.cvs20010804.1
- update
- fix bug #50665

* Tue Jul 24 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.2-0.cvs20010724.1
- Remove extractrc (it's in kdevelop)
- remove ia64 workarounds

* Mon Jul 23 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.2-0.cvs20010723.1
- update

* Wed Feb 21 2001 Than Ngo <than@redhat.com>
- 2.1-respin
- fix dangling symlink

* Tue Feb 20 2001 Than Ngo <than@redhat.com>
- update to 2.1

* Fri Feb 16 2001 Than Ngo <than@redhat.com>
- fix to build against glibc
- obsolete ktranslator kless (from powertools)
- clean up specfile
- add missing %post and %postun (ldconfig)

* Tue Feb  6 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Rebuild to get rid of libkdefakes.so.0 requirement
- Obsolete kbabel (from Powertools)

* Sun Jan 28 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- initial RPM
